Debian Bug report logs - #126037
ITP: scipy -- scientific python environment

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: José Fonseca <j_r_fonseca@yahoo.co.uk>

Date: Fri, 21 Dec 2001 00:48:02 UTC

Severity: wishlist

Tags: fixed

Done: Martin Michlmayr <tbm@cyrius.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Joe-Reinhardt@uiowa.edu:
New Bug report received and forwarded. Copy sent to wnpp@debian.org.

Your message specified a Severity: in the pseudo-header, but the severity value <see below> was not recognised. The default severity normal is being used instead. The recognised values are: critical, grave, serious, important, normal, minor, wishlist, fixed.

Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: jmr@engineering.uiowa.edu (Joe Reinhardt)
To: submit@bugs.debian.org
Subject: ITP: scipy -- scientific python environment
Date: Thu, 20 Dec 2001 18:33:48 -0600
Package: wnpp
Severity: <see below>

SciPy is a collection of mathematical algorithms and convenience
functions built on the Numeric extension for Python. It adds
significant power to the interactive Python session by exposing the
user to high-level commands and classes for the manipulation and
visualization of data.  With SciPy, an interactive Python session
becomes a data-processing and system-prototyping environment rivaling
sytems such as Matlab, IDL, Octave, R-Lab, and SciLab.

I have my latest build of SciPy in http://people.debian.org/~jmr




Severity set to `wishlist'. Request was from Joe Reinhardt <jmr@engineering.uiowa.edu> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to wnpp@debian.org, wnpp@packages.qa.debian.org:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to 126037-quiet@bugs.debian.org:
Extra info received and forwarded to maintainer. Copy sent to wnpp@debian.org, wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #12 received at 126037-maintonly@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: 126037-maintonly@bugs.debian.org
Subject: Your ITP of scipy (#126037)
Date: Sat, 28 Dec 2002 22:01:49 +0100
Hi!

This is a semi-automated message concerning your ITP of scipy.
Do you still intend to package this program?
If not, could you please close this bug or rename it to an RFP?

If you don't reply to this message, it will be assumed that you
are no longer interested, and someone of the QA team will close or
rename this ITP.

Note that I am not interested in taking over this ITP or uploading 
this package; I am just cleaning the WNPP.  
Therefore, please do not reply to me personally.  An message in the 
BTS (sent to 126037-quiet@bugs.debian.org) will suffice.

Kind regards,
Bas Zoetekouw.




Message sent on to Joe-Reinhardt@uiowa.edu:
Bug#126037. Full text and rfc822 format available.

Message #15 received at 126037-submitter@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: 126037-submitter@bugs.debian.org
Subject: Your ITP of scipy (#126037)
Date: Sat, 28 Dec 2002 22:23:48 +0100
Hi!

This is a semi-automated message concerning your ITP of scipy.
Do you still intend to package this program?
If not, could you please close this bug or rename it to an RFP?

If you don't reply to this message, it will be assumed that you
are no longer interested, and someone of the QA team will close or
rename this ITP.

Note that I am not interested in taking over this ITP or uploading 
this package; I am just cleaning the WNPP.  
Therefore, please do not reply to me personally.  An message in the 
BTS (sent to 126037-quiet@bugs.debian.org) will suffice.

Kind regards,
Bas Zoetekouw.




Changed Bug title. Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Severity set to `wishlist'. Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from Joe-Reinhardt@uiowa.edu to debian-qa@lists.debian.org. Request was from Bas Zoetekouw <bas@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to wnpp@packages.qa.debian.org:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to debian-qa@lists.debian.org:
Extra info received and filed, but not forwarded. Copy sent to wnpp@packages.qa.debian.org. Full text and rfc822 format available.

Message #26 received at 126037-quiet@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: 126037-quiet@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Renaming ITP of scipy (#126037)
Date: Sun, 16 Feb 2003 04:25:33 -0600
Hi!

This is a semi-automated message concerning the ITP of scipy.

The person who originately filed this ITP, doesn't seem to have
any interest in it anymore.  Therefore, I'm retitling it to an
RFP.  If anyone is interested in packaging this software, feel
free to take it.

Kind regards,
Bas Zoetekouw.




Changed Bug title. Request was from José Fonseca <j_r_fonseca@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to José Fonseca <j_r_fonseca@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #33 received at 126037@bugs.debian.org (full text, mbox):

From: José Fonseca <j_r_fonseca@yahoo.co.uk>
To: 126037@bugs.debian.org
Subject: ITP: scipy -- scientific python environment
Date: Tue, 15 Jul 2003 00:41:47 +0100
I have preliminary packages at http://jrfonseca.dyndns.org/debian/ but
they need some more work to comply with Debian policy.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Marco Presi" <zufus@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #38 received at 126037@bugs.debian.org (full text, mbox):

From: "Marco Presi" <zufus@debian.org>
To: jmr#debian.org@zufus.org
Cc: 126037@bugs.debian.org
Subject: ITP info
Date: Mon, 25 Aug 2003 19:41:52 +0200
[Message part 1 (text/plain, inline)]
Hallo Joe, 

      what about SciPy package? I have seen a package dated Nov 2002 on
      your page, while there are new release on scipy website (always
      for 0.2.0 release).

      I am interested to see it in Debian.

      Ciao Ciao 

      Marco
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to José Fonseca <j_r_fonseca@yahoo.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. Full text and rfc822 format available.

Message #43 received at 126037@bugs.debian.org (full text, mbox):

From: José Fonseca <j_r_fonseca@yahoo.co.uk>
To: 126037@bugs.debian.org
Subject: Fwd: RFS: python-scipy & python-f2py
Date: Fri, 5 Mar 2004 21:38:16 +0000
Just to notify that packages are ready. Now waiting for a sponsor...

Jose Fonseca


----- Forwarded message from José Fonseca <j_r_fonseca@yahoo.co.uk> -----

> Date: Sun, 22 Feb 2004 00:17:14 +0000
> From: José Fonseca <j_r_fonseca@yahoo.co.uk>
> Subject: RFS: python-scipy & python-f2py
> 
> I need a sponsor to upload python-scipy and python-f2py (a dependency
> for python-scipy)..
> 
> About these packages:
> 
>   SciPy is an open source library of scientific tools for Python. SciPy
>   supplements the popular Numeric module, gathering a variety of high
>   level science and engineering modules together as a single package.
>   SciPy includes modules for graphics and plotting, optimization,
>   integration, special functions, signal and image processing, genetic
>   algorithms, ODE solvers, and others.
>   
>   The purpose of the F2PY --Fortran to Python interface generator--
>   project is to provide connection between Python and Fortran languages.
>   F2PY is a Python extension tool for creating Python C/API modules from
>   (handwritten or F2PY generated) signature files (or directly from
>   Fortran sources).
> 
> I've been working together with one of the upstream authors, Pearu
> Peterson, in order to get the packages to follow the policy. There are
> no lintian warnings/errors and it follows the debian and python policies
> to the best of my knowledge.
> 
> There is an ITP bug concerning this software (see
> <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=126037>) originally
> from Joe Reinhardt, who dropped it, and I claimed it. I referred to his
> packages but these were done from scratch.
> 
> The packages are available from my repository,
> <http://jrfonseca.dyndns.org/debian/>. (Let me know if there is problems
> downloading since it appears some people can't access this site by some
> unknown reason).
> 
> Regards,
> 
> Jose Fonseca

----- End forwarded message -----



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexandre <Alexandre.Fayolle@logilab.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #48 received at 126037@bugs.debian.org (full text, mbox):

From: Alexandre <Alexandre.Fayolle@logilab.fr>
To: 126037@bugs.debian.org
Subject: sponsoring scipy
Date: Tue, 24 Aug 2004 17:19:24 +0200
[Message part 1 (text/plain, inline)]
Hello,

I've been accepted as a DD a couple of weeks ago, and I'm interested in
seeing scipy and f2py in Debian, so I'll probably sponsor your packages. 

Are the packages on http://jrfonseca.dyndns.org/debian/ up to date ?

-- 
Alexandre Fayolle                              LOGILAB, Paris (France).
http://www.logilab.com   http://www.logilab.fr  http://www.logilab.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Alexandre <Alexandre.Fayolle@logilab.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #53 received at 126037@bugs.debian.org (full text, mbox):

From: Alexandre <Alexandre.Fayolle@logilab.fr>
To: 126037@bugs.debian.org
Subject: a few problems in the packages
Date: Wed, 25 Aug 2004 18:05:41 +0200
I've looked at the packages, and saw a few problems:

 * missing build dependency on python (this stops dh_python which uses
/usr/bin/python 
 * missing build-dependency on g77 for python-scipy 
 * some binary arch-indep packages have an architecture field in
debian/control set to any instead of all (python-scipy,
python-scipy-core)
 * doesn't the weave module in scipy-core require a C++ compiler? If so,
there should be at least a Recommends on g++ for this package

Finally, I would set the Section of all the packages to "python" instead
of "devel" which means that the packages will show up next to
python-numeric in aptitude. 

While you are at it, could you close the ITP on scipy (#218523) in the 
changelog?

Cheers,

-- 
Alexandre Fayolle                              LOGILAB, Paris (France).
http://www.logilab.com   http://www.logilab.fr  http://www.logilab.org



Owner recorded as José Fonseca <j_r_fonseca@yahoo.co.uk>. Request was from José Fonseca <j_r_fonseca@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Removed annotation that Bug was owned by José Fonseca <j_r_fonseca@yahoo.co.uk>. Request was from José Fonseca <j_r_fonseca@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug submitter from debian-qa@lists.debian.org to José Fonseca <j_r_fonseca@yahoo.co.uk>. Request was from José Fonseca <j_r_fonseca@yahoo.co.uk> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#126037; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #64 received at 126037@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: José Fonseca <j_r_fonseca@yahoo.co.uk>
Cc: 126037@bugs.debian.org
Subject: Re: your mail
Date: Sun, 29 Aug 2004 19:43:59 +0200
On Sun, Aug 29, 2004 at 06:25:21PM +0100, José Fonseca wrote:
> noowner 126037
> submitter 126037 !

Please don't change the submitter of a bug other than for fixing an outdated
emailaddress. 'owner' is indeed the correct way to indicate who will fix a
bug.

Since in this case the old submitter doesn't mind, you can leave it as it is
now, though.

--Jeroen

-- 
Jeroen van Wolffelaar
jeroen@wolffelaar.nl
http://jeroen.A-Eskwadraat.nl



Tags added: fixed Request was from <afayolle@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Martin Michlmayr <tbm@cyrius.com>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to José Fonseca <j_r_fonseca@yahoo.co.uk>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #71 received at 126037-done@bugs.debian.org (full text, mbox):

From: Martin Michlmayr <tbm@cyrius.com>
To: 126037-done@bugs.debian.org
Subject: Please close WNPP bugs properly
Date: Mon, 4 Oct 2004 04:39:41 -0600
This WNPP bug was tagged "fixed" rather than closed properly.  This might
be because your sponsor uploaded the package in a wrong way, or because
your upload was mistakenly recognizes as an NMU.  Please take this into
account in the future, and do close WNPP bugs properly.

-- 
Martin Michlmayr
http://www.cyrius.com/



Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:55:14 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.